build+ci: switch to python3
Also in this commit:
* Sync CI scripts with other projects
* Sync sphinx_build waf tool with ndn-cxx
* Modernize docs/conf.py
* Replace redmine_issue extension with sphinx.ext.extlinks
* Fix typo in docs/doxygen.conf.in
* Improve README.md
Refs: #5095
Change-Id: Iee05500f907442dd7cb3e41bd613beef7461dab4
diff --git a/.jenkins.d/30-coverage.sh b/.jenkins.d/30-coverage.sh
index a96e999..bb2809d 100755
--- a/.jenkins.d/30-coverage.sh
+++ b/.jenkins.d/30-coverage.sh
@@ -1,10 +1,5 @@
#!/usr/bin/env bash
-set -e
-
-JDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
-source "$JDIR"/util.sh
-
-set -x
+set -ex
if [[ $JOB_NAME == *"code-coverage" ]]; then
gcovr --object-directory=build \
@@ -31,6 +26,6 @@
--frames \
--legend \
--output-directory build/coverage \
- --title "NDN-NAC unit tests" \
+ --title "ndn-nac unit tests" \
build/coverage.info
fi